PHP Multiple Vulnerabilities

Posted on Friday, December 18, 2009 @ 02:33:31 CET in PHP
by Raven

SECUNIA ADVISORY ID: SA37821

VERIFY ADVISORY: http://secunia.com/advisories/37821/

DESCRIPTION: Multiple vulnerabilities have been reported in PHP, some of which have unknown impacts and others that can be exploited by malicious users to bypass certain security restrictions and by malicious people to conduct cross-site scripting attacks and cause a DoS (Denial of Service). The vulnerabilities are reported in versions prior to 5.2.12.


1) An error in "tempnam()" can be exploited to bypass the "safe_mode" feature.
2) An error in "posix_mkfifo()" can be exploited to bypass the "open_basedir" feature.
3) An error within the processing of form-based file uploads can be exploited to cause a DoS by sending specially crafted requests.
4) Errors related to a insufficient protection of $_SESSION against interrupt corruption and a weak "session.save_path" check have unknown impacts.
5) The "htmlspecialchars()" function does not properly sanitise certain input, which can be exploited to conduct cross-site scripting attacks.

SOLUTION: Update to version 5.2.12.

PROVIDED AND/OR DISCOVERED BY:
1, 2) Grzegorz Stachowiak
3) Bogdan Calin, Acunetix
4) Stefan Esser
5) Moriyoshi

ORIGINAL ADVISORY: PHP:
http://www.php.net/releases/5_2_12.php
http://bugs.php.net/bug.php?id=49785

Grzegorz Stachowiak:
http://securityreason.com/securityalert/6600
http://securityreason.com/securityalert/6601

Acunetix: http://www.acunetix.com/blog/web...partform-data-denial-of-service/
 
 
click Related        click Share
 
 
Associated Topics

Security
 
News ©

Site Info v2.2.2

Last SeenLast Seen
Server TrafficServer Traffic
  • Total: 373,062,969
  • Today: 66,807
Server InfoServer Info
  • Dec 11, 2018
  • 04:55 pm CET